<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: LocEval Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_loc_eval.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_loc_eval-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">LocEval Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa9b2faaed0c9f81938ad5acbef465f13"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_types_for_analysis_8h.html#a941f17d9842301496770a69e829d8686">SupportedExpansions</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_loc_eval.html#aa9b2faaed0c9f81938ad5acbef465f13">macroType</a></td></tr>
<tr class="separator:aa9b2faaed0c9f81938ad5acbef465f13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a826f7bf4c0a856cb1b0c65e7265b381d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_loc_eval.html#a826f7bf4c0a856cb1b0c65e7265b381d">isEndLocation</a></td></tr>
<tr class="separator:a826f7bf4c0a856cb1b0c65e7265b381d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbfe089872a317e56ec1f4da2bc82acf"><td class="memItemLeft" align="right" valign="top">std::vector&lt; unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_loc_eval.html#abbfe089872a317e56ec1f4da2bc82acf">spell_vec</a></td></tr>
<tr class="separator:abbfe089872a317e56ec1f4da2bc82acf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc38785ad87ee00c5a476c55d7b44abc"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_loc_eval.html#acc38785ad87ee00c5a476c55d7b44abc">spellNoParent</a></td></tr>
<tr class="separator:acc38785ad87ee00c5a476c55d7b44abc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed98e0e01aff7fa85c440cc593409a8f"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_loc_eval.html#aed98e0e01aff7fa85c440cc593409a8f">spellInterationLevel</a></td></tr>
<tr class="separator:aed98e0e01aff7fa85c440cc593409a8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3cd0e94dc075f84ce1efe9944efe4fa"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_loc_eval.html#ab3cd0e94dc075f84ce1efe9944efe4fa">iterationLevel</a></td></tr>
<tr class="separator:ab3cd0e94dc075f84ce1efe9944efe4fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bf9ed164ec6717b45fb0c631811bc9b"><td class="memItemLeft" align="right" valign="top">std::pair&lt; <a class="el" href="struct_exp_eval.html">ExpEval</a>, <a class="el" href="struct_exp_eval.html">ExpEval</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_loc_eval.html#a6bf9ed164ec6717b45fb0c631811bc9b">Expansion</a></td></tr>
<tr class="separator:a6bf9ed164ec6717b45fb0c631811bc9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44494e1a0d6db41e5a44a52e776ebfec"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::pair&lt; <a class="el" href="struct_exp_eval.html">ExpEval</a>, <a class="el" href="struct_exp_eval.html">ExpEval</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_loc_eval.html#a44494e1a0d6db41e5a44a52e776ebfec">Spelling</a></td></tr>
<tr class="separator:a44494e1a0d6db41e5a44a52e776ebfec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a6bf9ed164ec6717b45fb0c631811bc9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bf9ed164ec6717b45fb0c631811bc9b">&#9670;&nbsp;</a></span>Expansion</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;<a class="el" href="struct_exp_eval.html">ExpEval</a>,<a class="el" href="struct_exp_eval.html">ExpEval</a>&gt; LocEval::Expansion</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a826f7bf4c0a856cb1b0c65e7265b381d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a826f7bf4c0a856cb1b0c65e7265b381d">&#9670;&nbsp;</a></span>isEndLocation</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool LocEval::isEndLocation</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab3cd0e94dc075f84ce1efe9944efe4fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3cd0e94dc075f84ce1efe9944efe4fa">&#9670;&nbsp;</a></span>iterationLevel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned LocEval::iterationLevel</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9b2faaed0c9f81938ad5acbef465f13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9b2faaed0c9f81938ad5acbef465f13">&#9670;&nbsp;</a></span>macroType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_types_for_analysis_8h.html#a941f17d9842301496770a69e829d8686">SupportedExpansions</a> LocEval::macroType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abbfe089872a317e56ec1f4da2bc82acf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbfe089872a317e56ec1f4da2bc82acf">&#9670;&nbsp;</a></span>spell_vec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;unsigned&gt; LocEval::spell_vec</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a44494e1a0d6db41e5a44a52e776ebfec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44494e1a0d6db41e5a44a52e776ebfec">&#9670;&nbsp;</a></span>Spelling</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::pair&lt;<a class="el" href="struct_exp_eval.html">ExpEval</a>,<a class="el" href="struct_exp_eval.html">ExpEval</a>&gt; &gt; LocEval::Spelling</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aed98e0e01aff7fa85c440cc593409a8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed98e0e01aff7fa85c440cc593409a8f">&#9670;&nbsp;</a></span>spellInterationLevel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned LocEval::spellInterationLevel</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acc38785ad87ee00c5a476c55d7b44abc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc38785ad87ee00c5a476c55d7b44abc">&#9670;&nbsp;</a></span>spellNoParent</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned LocEval::spellNoParent</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_loc_eval.html">LocEval</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
